<template>
  <div>
    <modals-container />
    <swiper
      class="swiper"
      :options="swiperOption"
    >
      <swiper-slide
        v-for="(item, i) in news"
        :key="`news-${i}`"
        class="swiper-content"
      >
        <div class="noticia-container">
          <div class="overlay" />
          <div
            class="foto-noticia"
            @click="showDynamicComponentModal(item.title, item.text)"
          >
            <img
              :src="item.photo"
              :alt="`Foto notícia - ${item.title}`"
            >
          </div>

          <div>
            <div
              class="titulo-noticia"
              @click="showDynamicComponentModal(item.title, item.text)"
            >
              {{ item.title }}
            </div>
            <div
              class="conteudo-noticia"
              @click="showDynamicComponentModal(item.title, item.text)"
            >
              {{ item.description }}
            </div>
            <div
              v-if="item.text"
              class="leia-noticia"
              @click="showDynamicComponentModal(item.title, item.text)"
            >
              Leia mais
            </div>
          </div>
        </div>
      </swiper-slide>

      <div
        slot="button-prev"
        class="swiper-button-prev slide-nav"
      >
        <fa-icon
          class="icon"
          icon="angle-left"
        />
      </div>

      <div
        slot="button-next"
        class="swiper-button-next slide-nav"
      >
        <fa-icon
          class="icon"
          icon="angle-right"
        />
      </div>

      <!-- <div
        slot="pagination"
        class="swiper-pagination"
      /> -->
    </swiper>
  </div>
</template>

<script>
// eslint-disable-next-line import/no-extraneous-dependencies
import 'swiper/dist/css/swiper.css';
import { swiper, swiperSlide } from 'vue-awesome-swiper';
import TheModal from '@/components/TheModal.vue';

export default {
  name: 'TheCarousel',
  components: {
    swiper,
    swiperSlide,
  },
  props: {
    news: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      swiperOption: {
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
        // Enable debugger
        debugger: true,
        // pagination: {
        //   el: '.swiper-pagination',
        //   clickable: true,
        // },
      },
    };
  },
  methods: {
    showDynamicComponentModal(title, content) {
      this.$modal.show(
        TheModal,
        {
          title,
          content,
        },
        {
          height: 'auto',
          // adaptive: true,
          width: '90%',
          scrollable: true,
        },
      );
    },
  },
};
</script>

<style lang="stylus" scoped>
.overlay
  display none

.swiper
  height 38rem
  widht 100%
  // background-color var(--color-gray)
  position relative


.swiper-content
  display flex
  justify-content center
  align-items center


.slide-nav
  border-radius 100%
  background var(--color-primary)
  width: 3.2rem
  height 3.2rem
  padding 0.2rem 0.2rem
  display flex
  align-items center
  justify-content center


.icon
  font-style normal
  font-weight normal
  font-size 2.4rem
  color var(--color-white)


.noticia-container
  height 100%
  display flex
  margin 0 8rem
  justify-content center
  align-items center
  width 100%
  max-width var(--width-page)


.foto-noticia
  width 100%
  height 80%
  margin-right 5rem
  cursor pointer

  img
    border-radius 8px
    width 100%
    height 100%
    object-fit cover


.titulo-noticia
  font-size 3.2rem
  line-height 4.2rem
  margin-bottom 0.8rem
  font-style normal
  font-weight bold
  cursor pointer


.conteudo-noticia
  font-size 1.8rem
  margin-bottom 1.6rem
  font-weight 600
  cursor pointer


.leia-noticia
  font-size 1.8rem
  color var(--color-primary)
  font-weight 600
  cursor pointer

@media screen and (max-width: 600px)
  .foto-noticia
    // display none

  .swiper
    height 42rem !important

  .foto-noticia
    position absolute
    z-index -2
    top 0
    width 100%
    height 100%

  .overlay
    position absolute
    top 0
    z-index -1
    width 100%
    height 100%
    display block
    background rgba(255,255,255,0.8);
</style>
